Subject: Offline Message from Iman Alamdar: Hello, I have ordered from you before an
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 15:31:53 -0000

From: Iman Alamdar <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us
Department: 

Hello, 

I have ordered from you before and had no problems, but lately I heard from a friend that her order took more than 2 months to arrive, therefore before making my next purchase, I want to make sure that there are no shipment issues from your side. 

----
Zopim
https://www.zopim.com